## util-linux 2.41

=== meson_options.txt ===
# enable various dependencies (no prefixes)

option('tinfo',       type : 'feature')
option('ncursesw',    type : 'feature')
option('ncurses',     type : 'feature')
option('slang',       type : 'feature', value : 'disabled',
       description : 'compile cfdisk with slang rather than ncurses')
option('cryptsetup',  type : 'feature')
option('cryptsetup-dlopen',  type : 'feature')
option('zlib',        type : 'feature')
option('readline',    type : 'feature')
option('nls',         type : 'feature')
option('libutil',     type : 'feature')
option('libutempter', type : 'feature')
option('libpcre2-posix',     type : 'feature')
option('libuser',     type : 'feature')
option('selinux',     type : 'feature', value : 'disabled')
option('audit',       type : 'feature', value : 'disabled')
option('smack',       type : 'feature', value : 'disabled')
option('magic',       type : 'feature')
option('econf',       type : 'feature')
option('systemd',     type : 'feature')
option('sysvinit',    type : 'feature', value : 'disabled',
       description : 'build and install sysvinit startup scripts')
option('btrfs',       type : 'feature')
option('widechar',    type : 'feature',
       description : 'compile with wide character support')

# enable building of various programs and features ("build-" prefix)

option('build-python', type : 'feature', value : 'auto',
       description : 'build python extension module')
option('python', type : 'string', value : 'python3',
       description : 'build extension module for this python')

option('build-libblkid', type : 'feature',
       description : 'build libblkid and many related utilities')
option('build-libuuid', type : 'feature',
       description : 'build libuuid and uuid utilities')
option('build-liblastlog2', type : 'feature',
       description : 'build liblastlog2 and lastlog2 utilities')
option('build-pam-lastlog2', type : 'feature',
       description : 'build PAM lastlog2 module')
option('build-libmount', type : 'feature',
       description : 'build libmount')
option('build-libsmartcols', type : 'feature',
       description : 'build libsmartcols')
option('build-libfdisk', type : 'feature',
       description : 'build libfdisk')


option('build-fdisks', type : 'feature',
       description : 'build fdisk(8), sfdisk(8) and cfdisk(8)')
option('build-mount', type : 'feature',
       description : 'build mount(8) and umount(8)')
option('build-swapon', type : 'feature',
       description : 'build swapon')
option('build-swapoff', type : 'feature',
       description : 'build swapoff')
option('build-chcpu', type : 'feature',
       description : 'build chcpu')
option('build-losetup', type : 'feature',
       description : 'build losetup')
option('build-zramctl', type : 'feature',
       description : 'build zramctl')
option('build-lsns', type : 'feature',
       description : 'build lsns')
option('build-mkfs', type : 'feature',
       description : 'build mkfs')
option('build-fsck', type : 'feature',
       description : 'build fsck')
option('build-partx', type : 'feature',
       description : 'build addpart, delpart, partx')
option('build-script', type : 'feature',
       description : 'build script')
option('build-scriptutils', type : 'feature',
       description : 'build scriptutils')
option('build-bits', type : 'feature',
       description : 'build bits')
option('build-col', type : 'feature',
       description : 'build col')
option('build-colcrt', type : 'feature',
       description : 'build colcrt')
option('build-colrm', type : 'feature',
       description : 'build colrm')
option('build-rev', type : 'feature',
       description : 'build rev')

option('build-uuidd', type : 'feature',
       description : 'build the uuid daemon')

option('build-choom', type : 'feature',
       description : 'build choom')
option('build-isosize', type : 'feature',
       description : 'build isosize')
option('build-waitpid', type : 'feature',
       description : 'build waitpid')
option('build-wipefs', type : 'feature',
       description : 'build wipefs')
option('build-mountpoint', type : 'feature',
       description : 'build mountpoint')
option('build-fallocate', type : 'feature',
       description : 'build fallocate')
option('build-unshare', type : 'feature',
       description : 'build unshare')
option('build-nsenter', type : 'feature',
       description : 'build nsenter')
option('build-setpriv', type : 'feature',
       description : 'build setpriv')
option('build-hardlink', type : 'feature',
       description : 'build hardlink')
option('build-eject', type : 'feature',
       description : 'build eject')
option('build-agetty', type : 'feature',
       description : 'build agetty')
option('build-cramfs', type : 'feature',
       description : 'build fsck.cramfs, mkfs.cramfs')
option('build-bfs', type : 'feature',
       description : 'build mkfs.bfs')
option('build-minix', type : 'feature',
       description : 'build fsck.minix, mkfs.minix')
option('build-fdformat', type : 'feature', value : 'disabled',
       description : 'build fdformat')
option('build-blockdev', type : 'feature',
       description : 'build blockdev')
option('build-hwclock', type : 'feature',
       description : 'build hwclock')
option('build-lslogins', type : 'feature',
       description : 'build lslogins')
option('build-wdctl', type : 'feature',
       description : 'build wdctl')
option('build-cal', type : 'feature',
       description : 'build cal')
option('build-logger', type : 'feature',
       description : 'build logger')
option('build-look', type : 'feature',
       description : 'build look')
option('build-mcookie', type : 'feature',
       description : 'build mcookie')
option('build-namei', type : 'feature',
       description : 'build namei')
option('build-whereis', type : 'feature',
       description : 'build whereis')
option('build-lsblk', type : 'feature',
       description : 'build lsblk')
option('build-lslocks', type : 'feature',
       description : 'build lslocks')
option('build-findmnt', type : 'feature',
       description : 'build findmnt')
option('build-lsfd', type : 'feature',
       description : 'build lsfd')
option('build-switch_root', type : 'feature',
       description : 'switch_root')
option('build-pivot_root', type : 'feature',
       description : 'build pivot_root')
option('build-flock', type : 'feature',
       description : 'build flock')
option('build-lsmem', type : 'feature',
       description : 'build lsmem')
option('build-lsirq', type : 'feature',
       description : 'build lsirq')
option('build-irqtop', type : 'feature',
       description : 'build irqtop')
option('build-chmem', type : 'feature',
       description : 'build chmem')
option('build-ipcmk', type : 'feature',
       description : 'build ipcmk')
option('build-ipcrm', type : 'feature',
       description : 'build ipcrm')
option('build-ipcs', type : 'feature',
       description : 'build ipcs')
option('build-rfkill', type : 'feature',
       description : 'build rfkill')
option('build-tunelp', type : 'feature',
       description : 'build tunelp')
option('build-fstrim', type : 'feature',
       description : 'build fstrim')
option('build-dmesg', type : 'feature',
       description : 'build dmesg')
option('build-ctrlaltdel', type : 'feature',
       description : 'build ctrlaltdel')
option('build-exch', type : 'feature',
       description : 'build exch')
option('build-fsfreeze', type : 'feature',
       description : 'build fsfreeze')
option('build-blkdiscard', type : 'feature',
       description : 'build blkdiscard')
option('build-blkzone', type : 'feature',
       description : 'build blkzone')
option('build-blkpr', type : 'feature',
       description : 'build blkpr')
option('build-ldattach', type : 'feature',
       description : 'build ldattach')
option('build-rtcwake', type : 'feature',
       description : 'build rtcwake')
option('build-setarch', type : 'feature',
       description : 'build setarch')
option('build-kill', type : 'feature',
       description : 'build kill')
option('build-last', type : 'feature',
       description : 'build last')
option('build-utmpdump', type : 'feature',
       description : 'build utmpdump')
option('build-line', type : 'feature',
       description : 'build line')
option('build-mesg', type : 'feature',
       description : 'build mesg')
option('build-raw', type : 'feature', value : 'disabled',
       description : 'build raw')
option('build-rename', type : 'feature',
       description : 'build rename')
option('build-vipw', type : 'feature',
       description : 'build vipw')
option('build-newgrp', type : 'feature',
       description : 'build newgrp')
option('build-chfn-chsh', type : 'feature',
       description : 'build chfn and chsh')
option('build-login', type : 'feature',
       description : 'build login')
option('build-nologin', type : 'feature',
       description : 'build nologin')
option('build-sulogin', type : 'feature',
       description : 'build sulogin')
option('build-su', type : 'feature',
       description : 'build su')
option('build-runuser', type : 'feature',
       description : 'build runuser')
option('build-ul', type : 'feature',
       description : 'build ul')
option('build-more', type : 'feature',
       description : 'build more')
option('build-pg', type : 'feature',
       description : 'build pg')
option('build-pipesz', type : 'feature',
       description : 'build pipesz')
option('build-fadvise', type : 'feature',
       description : 'build fadvise')
option('build-enosys', type : 'feature',
       description : 'build enosys')
option('build-lsclocks', type : 'feature',
       description : 'build lsclocks')
option('build-getopt', type : 'feature',
       description : 'build getopt')
option('build-setterm', type : 'feature',
       description : 'build setterm')
option('build-schedutils', type : 'feature',
       description : 'build chrt, ionice, taskset, coresched')
option('build-wall', type : 'feature',
       description : 'build wall')
option('build-write', type : 'feature',
       description : 'build write')
option('build-bash-completion', type : 'feature',
       description : 'install bash completion files')
option('build-pylibmount', type : 'feature',
       description : 'build pylibmount')
option('build-hexdump', type : 'feature',
       description : 'build hexdump')
option('build-findfs', type : 'feature',
       description : 'build findfs')

# static programs

option('static-programs', type : 'array',
       value : [],
       choices : ['losetup', 'mount', 'umount', 'fdisk', 'sfdisk', 'blkid', 'nsenter', 'unshare', 'partx'],
       description : 'list of programs to also build with static linking')

# feature selection and other configuration

option('program-tests',
       type: 'boolean', value : true,
       description : 'build test programs')

option('chfn-chsh-password',
       type : 'boolean', value : true,
       description : 'require the user to enter the password in chfn and chsh')
option('chsh-only-listed',
       type : 'boolean', value : true,
       description : 'chsh: only allow shells in /etc/shells')
option('use-tty-group',
       type : 'boolean', value : true,
       description : 'install wall and write setgid tty')
option('build-plymouth-support',
       type : 'feature',
       description : 'support plymouth feature in sulogin and agetty')
option('use-tls',
       type : 'boolean', value : true,
       description : 'use thread-local storage')
option('pg-bell',
       type : 'boolean', value : true,
       description : 'should pg ring the bell on invalid keys?')
option('colors-default', type: 'boolean', value: true,
       description: 'Enables colorized output from utils by default')
option('allow-32bit-time', type: 'boolean', value: false,
       description: 'Allow 32bit time_t type')

option('fs-search-path',
       type : 'string',
       value : '/sbin:/sbin/fs.d:/sbin/fs',
       description : 'default search path for fs helpers')

=== debian/changelog ===
util-linux (2.41-4ubuntu4) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:37:59 +0000

util-linux (2.41-4ubuntu3) questing; urgency=medium

  * lib/path: avoid double free() for cpusets (LP: #2115636)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Jul 2025 14:45:08 +0200

util-linux (2.41-4ubuntu2) questing; urgency=medium

  * Fix FTBFS (LP: #2112552)
    Mark a test as "known fail" due to coreutils-from-uutils. This test is
    skipped with coreutils-from-gnu anyway.
    - d/p/u/lp-2112552-tests-mark-mkfds-multiplexing-as-known-fail.patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 05 Jun 2025 12:19:26 +0200

util-linux (2.41-4ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111830).
    Nothing of note in this merge, just a trivial patch refresh.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 27 May 2025 17:24:32 +0200

util-linux (2.41-4) unstable; urgency=medium

  * Pick patches from upstream v2.41-stable branch.
    Includes fix for #1102499 (Kubernetes regression with mount
    --no-canonicalize), regression fixes for option parsing in findmnt,
    handling of :! in more, handling of strings in tr_TR locale.
    (Closes: #1102499)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 09 Apr 2025 23:08:54 +0200

util-linux (2.41-3) unstable; urgency=medium

  * Upload to unstable.
  * d/copyright: fix names of lsfd files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 02 Apr 2025 19:31:10 +0200

util-linux (2.41-2) experimental; urgency=medium

  * Fix Conflicts/Replaces with manpages-pl
  * Install localized newgrp.1 into login

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Mar 2025 23:55:38 +0100

util-linux (2.41-1) experimental; urgency=medium

  * New upstream release.
  * d/control: put myself directly into the Maintainer field
  * Refresh patches
  * Update list of installed localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Mar 2025 17:26:32 +0100

util-linux (2.41~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/copyright: lsfd has moved in the source
  * d/README.source: replace pbuilder with sbuild
  * Drop upstream-applied patches
  * Drop untranslated manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 06 Mar 2025 13:30:32 +0100

=== debian/control ===
Source: util-linux
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-package-notes,
 dh-sequence-installsysusers,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 asciidoctor <!stage1 !nodoc>,
 bc <!stage1 !nocheck>,
 bison,
 flex,
 gettext,
 libaudit-dev [linux-any] <!stage1>,
 libcap-ng-dev [linux-any] <!stage1>,
 libcrypt-dev <!stage1>,
 libcryptsetup-dev [linux-any] <!pkg.util-linux.noverity>,
 libncurses-dev,
 libpam0g-dev <!stage1>,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libsqlite3-dev,
 libsystemd-dev [linux-any] <!stage1>,
 libtool,
 libudev-dev [linux-any] <!stage1>,
 netbase <!stage1 !nocheck>,
 pkgconf,
 po-debconf,
 po4a,
 socat <!stage1 !nocheck>,
 systemd [linux-any] <!stage1>,
 systemd-dev [linux-any] <!stage1>,
 zlib1g-dev,
Build-Conflicts:
 libedit-dev,
Section: utils
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Hofstaedtler <zeha@debian.org>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/util-linux
Vcs-Git: https://salsa.debian.org/debian/util-linux.git
Homepage: https://github.com/util-linux/util-linux
X-Style: black

Package: util-linux
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Recommends:
 sensible-utils,
Suggests:
 dosfstools,
 kbd,
 util-linux-extra,
 util-linux-locales,
 wtmpdb,
Provides:
 hardlink,
Conflicts:
 hardlink,
Replaces:
 hardlink,
Pre-Depends:
# (Pre-)Depend on libpam-*, so runuser/su work.
 libpam-modules,
 libpam-runtime,
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system. Some of the more
 important utilities included in this package allow you to view kernel
 messages, create new filesystems, view block device information,
 interface with real time clock, etc.

Package: util-linux-locales
Architecture: all
Build-Profiles: <!stage1>
Section: localization
Priority: optional
Depends:
 util-linux (>= ${source:Upstream-Version}),
Breaks:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 1:4.25.1-1~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~),
Replaces:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 1:4.25.1-1~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~),
Multi-Arch: foreign
Description: locales files for util-linux
 This package contains the internationalization files for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English, or read manual pages in another
 language than English.

Package: mount
Architecture: linux-any
Build-Profiles: <!stage1>
Section: admin
Pre-Depends:
 ${shlibs:Depends},
Suggests:
 nfs-common,
Multi-Arch: foreign
Description: tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Recommends:
 bsdextrautils,
Multi-Arch: foreign
Description: basic utilities from 4.4BSD-Lite
 This package contains the bare minimum of BSD utilities needed for a Debian
 system: logger, renice, script, scriptlive, scriptreplay and wall. The
 remaining standard BSD utilities are provided by bsdextrautils.

Package: bsdextrautils
Architecture: any
Build-Profiles: <!stage1>
Priority: optional
Replaces:
 bsdmainutils (<< 12.1.3),
Breaks:
 bsdmainutils (<< 12.1.3),
Multi-Arch: foreign
Description: extra utilities from 4.4BSD-Lite
 This package contains some extra BSD utilities: col, colcrt, colrm, column,
 hd, hexdump, look, ul.
 Other BSD utilities are provided by bsdutils and calendar.

Package: fdisk
Architecture: any
Priority: important
Recommends:
 sensible-utils,
Multi-Arch: foreign
Description: collection of partitioning utilities
 This package contains the classic fdisk, sfdisk and cfdisk partitioning
 utilities from the util-linux suite.
 .
 The utilities included in this package allow you to partition
 your hard disk. The utilities supports both modern and legacy
 partition tables (eg. GPT, MBR, etc).
 .
 The fdisk utility is the classical text-mode utility.
 The cfdisk utility gives a more userfriendly curses based interface.
 The sfdisk utility is mostly for automation and scripting uses.

Package: fdisk-udeb
Architecture: hurd-any linux-any
Build-Profiles: <!stage1 !noudeb>
Priority: optional
Section: debian-installer
Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (fdisk)

Package: libblkid1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: block device ID library
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.

Package: libblkid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down block device ID library, for debian-installer
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libblkid1 (= ${binary:Version}),
 libc6-dev | libc-dev,
 uuid-dev,
Multi-Arch: same
Description: block device ID library - headers
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This package contains the development environment for the blkid library.

Package: libfdisk1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: fdisk partitioning library
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.

Package: libfdisk1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down fdisk partitioning library, for debian-installer
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This is a minimal package for debian-installer.

Package: libfdisk-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libfdisk1 (= ${binary:Version}),
 uuid-dev,
Multi-Arch: same
Description: fdisk partitioning library - headers
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This package contains the development environment for the fdisk library.

Package: libmount1
Architecture: any
Section: libs
Priority: optional
Suggests:
 cryptsetup-bin [linux-any],
Multi-Arch: same
Description: device mounting library
 This device mounting library is used by mount and umount helpers.

Package: libmount1-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Priority: optional
Architecture: linux-any
Description: stripped down device mounting library, for debian-installer
 The device mounting library, used by mount and umount helpers.
 .
 This is a minimal package for debian-installer.

Package: libmount-dev
Architecture: linux-any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libmount1 (= ${binary:Version}),
 libselinux1-dev,
Multi-Arch: same
Description: device mounting library - headers
 This device mounting library is used by mount and umount helpers.
 .
 This package contains the development environment for the mount library.

Package: libsmartcols1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: smart column output alignment library
 This smart column output alignment library is used by fdisk utilities.

Package: libsmartcols1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down smart column output alignment library, for debian-installer
 This smart column output alignment library is used by fdisk utilities.
 .
 This is a minimal package for debian-installer.

Package: libsmartcols-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libc6-dev | libc-dev,
 libsmartcols1 (= ${binary:Version}),
Multi-Arch: same
Description: smart column output alignment library - headers
 This smart column output alignment library is used by fdisk utilities.
 .
 This package contains the development environment for the mount library.

Package: libuuid1
Architecture: any
Section: libs
Priority: optional
Breaks:
 libuuid1t64 (<< ${source:Version}),
Replaces:
 libuuid1t64,
Provides:
 libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc],
Suggests:
 uuid-runtime,
Multi-Arch: same
Description: Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.

Package: uuid-runtime
Architecture: any
Build-Profiles: <!stage1>
Priority: optional
Pre-Depends:
 libuuid1,
Depends:
 adduser,
Multi-Arch: foreign
Description: runtime components for the Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.
 .
 This package contains the uuidgen program and the uuidd daemon.
 .
 The uuidd daemon is used to generate UUIDs, especially time-based
 UUIDs, in a secure and guaranteed-unique fashion, even in the face of
 large numbers of threads trying to grab UUIDs running on different CPUs.
 It is used by libuuid as well as the uuidgen program.

Package: libuuid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down Universally Unique ID library, for debian-installer

=== debian/rules ===
#!/usr/bin/make -f
# for asciidoctor. C.UTF-8 should be guaranteed to work even in minimal envs.
export LC_ALL=C.UTF-8

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

CONFOPTS += --enable-usrdir-path
CONFOPTS += --disable-makeinstall-chown
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFOPTS += --with-selinux
CONFOPTS += --with-smack
CONFOPTS += --enable-partx

# Currently causes catastrophic failure with our overlayroot tpmfs,
# deleted lower setup as created by overlayroot / cloud-initrd as used
# by MAAS LP: #2037417
CONFOPTS += --disable-libmount-mountfd-support

ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	CONFOPTS += --without-systemd --without-udev --without-audit
	CONFOPTS += --disable-newgrp --disable-login --disable-nologin
else
	CONFOPTS += --with-systemd --with-udev --with-audit
	CONFOPTS += --enable-newgrp --enable-login --enable-nologin
endif

ifneq ($(filter pkg.util-linux.noverity,$(DEB_BUILD_PROFILES)),)
	CONFOPTS += --without-cryptsetup
else
	CONFOPTS += --with-cryptsetup=dlopen
endif
endif

# As a result of CVE-2024-28085, we no longer install mesg/write.
CONFOPTS += --disable-mesg
CONFOPTS += --disable-write

# build static versions of programs used in fdisk-udeb and util-linux-udeb
CONFOPTS += --enable-static-programs=fdisk,sfdisk,blkid

# Help welcome packaging the (libmount) python bindings.
# See http://bugs.debian.org/811361
CONFOPTS += --without-python

# disable utilities shipped by other packages
# => procps
CONFOPTS += --disable-kill
# => passwd
CONFOPTS += --disable-chfn-chsh
# => bsdmainutils
CONFOPTS += --disable-cal
# => wtmpdb
CONFOPTS += --disable-last --disable-utmpdump

# Keep hwclock as GPLv2 (and others)
CONFOPTS += --disable-hwclock-gplv3

ifeq ($(DEB_HOST_ARCH),hurd-i386)
# hurd porters plan to drop 32bit before 2038
	CONFOPTS += --disable-year2038
endif

# Get the list of binary package, except lib* and *-udeb, from
# debian/control instead of hardcoding the list when installing
# bash-completions below.
BINARYPACKAGES := $(shell awk '/^Package: /{if($$2 !~ /^lib|-udeb$$/) print $$2}' $(CURDIR)/debian/control )

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES))-$(DEB_HOST_ARCH_OS),-linux)
export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
else
export deb_systemdsystemunitdir = debhelper needs this variable even when it doesn't need it
endif

%:
	dh $@

override_dh_autoreconf:
	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS)

override_dh_auto_install:
	dh_auto_install
	#
	# Avoid shipping static libraries.
	# - libblkid.a is used by e2fsprogs.
	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete -print
	#
	# show installed man pages
	find debian/tmp/usr/share/man

override_dh_auto_clean:
	sed -i 's/# Linux only # //' debian/login.pam
	dh_auto_clean
	# drop arch-overrides, generated in dh_install by dh-exec usage.
	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
		debian/util-linux.install.$(DEB_HOST_ARCH)
	# remove postinst generated in dh_installdeb
	rm -f debian/util-linux.postinst

override_dh_install:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# generate arch-override, as dh-exec install-rename can only run once.
	[ -f debian/util-linux.install.$(DEB_HOST_ARCH) ] || \
		debian/util-linux.install > \
		debian/util-linux.install.$(DEB_HOST_ARCH)
	[ -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) ] || \
		debian/uuid-runtime.install > \
		debian/uuid-runtime.install.$(DEB_HOST_ARCH)
endif
	#
	install -D -p -m644 debian/fdisk-udeb.lintian-overrides \
		debian/fdisk-udeb/usr/share/lintian/overrides/fdisk-udeb
	dh_install \
		-Nfdisk-udeb -Nlibblkid1-udeb \
		-Nlibfdisk1-udeb -Nlibsmartcols1-udeb -Nlibuuid1-udeb \
		-Nutil-linux-udeb
	dh_install --remaining-packages
	#
	# Install bash-completions only for binaries we ship
	for PACKAGE in $(BINARYPACKAGES) ; do \
	for BINARY in debian/$$PACKAGE/bin/* debian/$$PACKAGE/sbin/* \
			debian/$$PACKAGE/usr/bin/* \
			debian/$$PACKAGE/usr/sbin/* ; \
	do \
		BASENAME=$$(basename $$BINARY); \
		BCDIR=usr/share/bash-completion/completions/; \
		BCNAME=$$BCDIR/$$BASENAME ; \
		if [ "$$BASENAME" != '*' ] && find "debian/tmp/$$BCNAME" -quit; \
		then \
			echo "$$PACKAGE: Installing $$BCNAME"; \
			[ -d debian/$$PACKAGE/$$BCDIR ] || \
				mkdir -p debian/$$PACKAGE/$$BCDIR; \
			mv debian/tmp/$$BCNAME debian/$$PACKAGE/$$BCNAME; \
		fi; \
	done; \
	done
	#
	rm -rf debian/*-udeb/usr/share/doc

override_dh_installman:
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	:
else
	dh_installman --language=C
endif

override_dh_missing:
	dh_missing --list-missing

override_dh_installinit:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# install uuidd sysvinit script
	make misc-utils/uuidd.rc
	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
	dh_installinit --name=uuidd --restart-after-upgrade
	rm -f debian/uuid-runtime.uuidd.init
endif

override_dh_installpam:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	sed -i 's/^session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
endif
	dh_installpam --package=login
	dh_installpam --package=util-linux --name=runuser
	dh_installpam --package=util-linux --name=runuser-l
	dh_installpam --package=util-linux --name=su
	dh_installpam --package=util-linux --name=su-l

ifeq (linux,$(DEB_HOST_ARCH_OS))
override_dh_installsystemd:
	dh_installsystemd -putil-linux fstrim.timer
	dh_installsystemd -putil-linux fstrim.service
	dh_installsystemd --remaining-packages
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	dh_auto_test --max-parallel=1
else
	@echo "WARNING: non-linux detected, making tests non-fatal."
	dh_auto_test --max-parallel=1 || true
endif

execute_before_dh_installdeb:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	# due to UL_REQUIRES_LINUX([more]), only set up pager alternative
	# on linux -- this avoids running uname in the maintainer script
	# as doing so would be unreliable for chrootless installations
	cp debian/util-linux.postinst.linux debian/util-linux.postinst
endif

=== debian/tests/control ===
Tests:
 libblkid-dev,
Depends:
 build-essential,
 libblkid-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 libmount-dev,
Depends:
 build-essential,
 libmount-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 libsmartcols-dev,
Depends:
 build-essential,
 libsmartcols-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 uuid-dev,
Depends:
 build-essential,
 pkg-config,
 uuid-dev,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 login,
Depends:
 expect,
 login,
 passwd,
Restrictions:
 allow-stderr,
 breaks-testbed,
 flaky,
 needs-root,

## util-linux 2.41.1

=== debian/changelog ===
util-linux (2.41.1-2) unstable; urgency=medium

  * Mark uuid_time64 symbol linux-only.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1108994)
  * Install PAM configuration for login "remote" (Closes: #1103923)
  * Add patches from upstream

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 Aug 2025 22:21:32 +0200

util-linux (2.41.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream signing-key for the time being
  * d/README.source: update tag fetch instructions for current git
  * Rebase patches
  * d/README.source: update for current repo layout
  * login: drop Protected: yes.
    Bug #1099445.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 09:52:52 +0200

util-linux (2.41-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark uuid_time64 symbol as glibc-only (Closes: #1105006)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 10 May 2025 00:54:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,6 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
-
-# Currently causes catastrophic failure with our overlayroot tpmfs,
-# deleted lower setup as created by overlayroot / cloud-initrd as used
-# by MAAS LP: #2037417
-CONFOPTS += --disable-libmount-mountfd-support
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
@@ -166,8 +161,10 @@
 override_dh_installpam:
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 	sed -i 's/^session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
+	sed -i 's/^session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.remote.pam
 endif
 	dh_installpam --package=login
+	dh_installpam --package=login --name=remote
 	dh_installpam --package=util-linux --name=runuser
 	dh_installpam --package=util-linux --name=runuser-l
 	dh_installpam --package=util-linux --name=su

## util-linux 2.41.2

=== meson_options.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
 option('btrfs',       type : 'feature')
 option('widechar',    type : 'feature',
        description : 'compile with wide character support')
+option('translate-docs', type : 'feature',
+       description : 'translate documentation')
 
 # enable building of various programs and features ("build-" prefix)
 
@@ -296,5 +298,3 @@
 
 option('fs-search-path',
        type : 'string',
-       value : '/sbin:/sbin/fs.d:/sbin/fs',
-       description : 'default search path for fs helpers')

=== debian/changelog ===
util-linux (2.41.2-4) unstable; urgency=medium

  * Install pivot_root into util-linux-extra.
    Thanks to Antonio Ospite (Closes: #1117538)
  * Ensure /var/lib/lastlog exists for pam_lastlog2.
    Previously this was created by lastlog2-tmpfiles.conf, installed by the
    lastlog2 package. But lastlog2 itself is optional and not stricly
    necessary for libpam-lastlog2 to function. Install lastlog2-tmpfiles.conf
    into libpam-lastlog2, and also have dpkg create the directory.
    Thanks to Joachim Jautz (Closes: #1117725)
  * Break older dracut for moved switch_root

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 10 Oct 2025 12:24:08 +0200

util-linux (2.41.2-3) unstable; urgency=medium

  * Revive switch_root for dracut, in util-linux-extra (Closes: #1116629)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 29 Sep 2025 14:29:05 +0200

util-linux (2.41.2-2) unstable; urgency=medium

  * Reduce Installed-Size of util-linux:
    * Move lslogins from util-linux to util-linux-extra
    * Move rev from util-linux to bsdextrautils
    * Move blkzone, chcpu, chmem, lsmem from util-linux to util-linux-extra
    * Move isosize from util-linux to util-linux-extra
    * Move wdctl from util-linux to util-linux-extra
    * Move rename.ul from util-linux to util-linux-extra
    * Move ldattach from util-linux to util-linux-extra
    * Stop installing pivot_root, switch_root. Apparently unused on Debian.
  * util-linux-extra: Remove protectice diversions for usrmerge

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 02:57:16 +0200

util-linux (2.41.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patches.
  * Release to unstable.

  Includes from upstream:

  [ Sam Fink ]
  * libblkid: Fix probe_ioctl_tp assigning BLKGETDISKSEQ as physical sector size
  (Closes: #1115590)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 00:08:38 +0200

util-linux (2.41.1-4) experimental; urgency=medium

  * d/copyright: remove (old) FSF address
  * fdisk-udeb: remove old lintian overrides
  * Ignore lintian warning about dh-exec-script-without-dh-exec-features
  * util-linux.README.Debian: fstrim is enabled by default (Closes: #1115239)
  * Install isosize into upstream-determined /usr/bin (Closes: #1025819)
  * Install chmem into upstream-determined /usr/bin
  * Install addpart,delpart into util-linux-extra (Closes: #1115193)
  * Fix enosys bash completion using upstream patches (Closes: #1108317)
  * Move newgrp, sg from login to util-linux-extra (Closes: #1111747)
  * Install ll2_rename_user.3 into util-linux-locales
  * Move logger to util-linux
  * Drop Essential: yes from bsdutils

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 15 Sep 2025 00:46:17 +0200

util-linux (2.41.1-3) unstable; urgency=medium

  [ Niels Thykier ]
  * Replace ad-hoc maintscripts substitution with `dh_installdeb` feature

  [ Thomas Weißschuh ]
  * Install lsclocks into util-linux-extra

  [ Chris Hofstaedtler ]
  * Install lsclocks bash completion and translated man pages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2025 11:09:50 +0200

=== debian/control ===
--- 
+++ 
@@ -34,8 +34,7 @@
  libedit-dev,
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Hofstaedtler <zeha@debian.org>
+Maintainer: Chris Hofstaedtler <zeha@debian.org>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/util-linux
@@ -60,7 +59,11 @@
 Conflicts:
  hardlink,
 Replaces:
+ bsdutils (<< 1:2.41.1-4~),
  hardlink,
+Breaks:
+ bsdutils (<< 1:2.41.1-4~),
+ dracut (<< 108-6~),
 Pre-Depends:
 # (Pre-)Depend on libpam-*, so runuser/su work.
  libpam-modules,
@@ -82,6 +85,7 @@
 Depends:
  util-linux (>= ${source:Upstream-Version}),
 Breaks:
+ login (<< 1:4.16.0-2+really2.41.1-4~),
  manpages-cs (<< 4.19.0-7~),
  manpages-da (<< 4.19.0-7~),
  manpages-de (<< 4.19.0-7~),
@@ -101,6 +105,7 @@
  manpages-uk (<< 4.19.0-7~),
  manpages-uk-dev (<< 4.19.0-7~),
 Replaces:
+ login (<< 1:4.16.0-2+really2.41.1-4~),
  manpages-cs (<< 4.19.0-7~),
  manpages-da (<< 4.19.0-7~),
  manpages-de (<< 4.19.0-7~),
@@ -144,13 +149,13 @@
 Package: bsdutils
 Architecture: any
 Build-Profiles: <!stage1>
-Essential: yes
+Priority: standard
 Recommends:
  bsdextrautils,
 Multi-Arch: foreign
 Description: basic utilities from 4.4BSD-Lite
  This package contains the bare minimum of BSD utilities needed for a Debian
- system: logger, renice, script, scriptlive, scriptreplay and wall. The
+ system: renice, script, scriptlive, scriptreplay and wall. The
  remaining standard BSD utilities are provided by bsdextrautils.
 
 Package: bsdextrautils
@@ -159,12 +164,14 @@
 Priority: optional
 Replaces:
  bsdmainutils (<< 12.1.3),
+ util-linux (<< 2.41.2-2~),
 Breaks:
  bsdmainutils (<< 12.1.3),
+ util-linux (<< 2.41.2-2~),
 Multi-Arch: foreign
 Description: extra utilities from 4.4BSD-Lite
  This package contains some extra BSD utilities: col, colcrt, colrm, column,
- hd, hexdump, look, ul.
+ hd, hexdump, look, rev, ul.
  Other BSD utilities are provided by bsdutils and calendar.
 
 Package: fdisk
@@ -393,5 +400,3 @@
 Section: debian-installer
 Priority: optional
 Package-Type: udeb
-Build-Profiles: <!noudeb>
-Description: stripped down Universally Unique ID library, for debian-installer

=== debian/rules ===
--- 
+++ 
@@ -96,8 +96,6 @@
 	# drop arch-overrides, generated in dh_install by dh-exec usage.
 	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
 		debian/util-linux.install.$(DEB_HOST_ARCH)
-	# remove postinst generated in dh_installdeb
-	rm -f debian/util-linux.postinst
 
 override_dh_install:
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
@@ -184,11 +182,3 @@
 	@echo "WARNING: non-linux detected, making tests non-fatal."
 	dh_auto_test --max-parallel=1 || true
 endif
-
-execute_before_dh_installdeb:
-ifeq ($(DEB_HOST_ARCH_OS), linux)
-	# due to UL_REQUIRES_LINUX([more]), only set up pager alternative
-	# on linux -- this avoids running uname in the maintainer script
-	# as doing so would be unreliable for chrootless installations
-	cp debian/util-linux.postinst.linux debian/util-linux.postinst
-endif

=== debian/watch ===
version=4
opts="decompress, uversionmangle=s/-rc/~rc/" \
	https://www.kernel.org/pub/linux/utils/util-linux/v([\d+\.]+)/util-linux-@ANY_VERSION@\.tar\.xz

## util-linux 2.41.3

=== debian/changelog ===
util-linux (2.41.3-4.0nosystemd1) nosystemd; urgency=medium

  * depends on pam changed
  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 22 Feb 2026 20:13:40 +0200

util-linux (2.41.3-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Follow libselinux1-dev to libselinux-dev rename (Closes: #1124751)
  * uuid-runtime: stop removing /var/run/uuidd on purge
    /run is a tmpfs, it will be cleaned up anyway. Lets us drop the postrm
    maintscript.

  [ Luca Boccassi ]
  * uuid-runtime: drop manual scripting in postinst and rely on sysusers.d

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Feb 2026 17:15:50 +0100

util-linux (2.41.3-3) unstable; urgency=medium

  * d/libsmartcols1.symbols: drop terminal crap
  * d/rules: make dpkg-gensymbols more strict
  * lintian: ignore groff-message tags
  * lintian: ignore groff-message tags in remaining packages
  * Add upstream patches
    * unshare: fix user namespace bind mounts
    * unshare: remove get_mnt_ino() check in bind_ns_files_from_child()
    * unshare: add --owner to set user namespace owner uid and gid
    * libfdisk: modernize ZFS GPT type description

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 31 Dec 2025 13:06:28 +0100

util-linux (2.41.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * util-linux: do not fail postinst/prerm if update-alternatives is missing

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Dec 2025 10:42:28 +0100

util-linux (2.41.3-1) unstable; urgency=medium

  * Stop installing lastlog2-import.service
  * New upstream release, fixing CVE-2025-14104. (Closes: #1122058)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 16 Dec 2025 20:37:41 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,8 @@
  libncurses-dev,
  libpam0g-dev <!stage1>,
  libreadline-dev,
- libselinux1-dev [linux-any],
+ libselinux-dev [linux-any],
  libsqlite3-dev,
- libsystemd-dev [linux-any] <!stage1>,
  libtool,
  libudev-dev [linux-any] <!stage1>,
  netbase <!stage1 !nocheck>,
@@ -27,8 +26,6 @@
  po-debconf,
  po4a,
  socat <!stage1 !nocheck>,
- systemd [linux-any] <!stage1>,
- systemd-dev [linux-any] <!stage1>,
  zlib1g-dev,
 Build-Conflicts:
  libedit-dev,
@@ -376,8 +373,6 @@
 Priority: optional
 Pre-Depends:
  libuuid1,
-Depends:
- adduser,
 Multi-Arch: foreign
 Description: runtime components for the Universally Unique ID library
  The libuuid library generates and parses 128-bit Universally Unique
@@ -400,3 +395,5 @@
 Section: debian-installer
 Priority: optional
 Package-Type: udeb
+Build-Profiles: <!noudeb>
+Description: stripped down Universally Unique ID library, for debian-installer

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	CONFOPTS += --without-systemd --without-udev --without-audit
 	CONFOPTS += --disable-newgrp --disable-login --disable-nologin
 else
-	CONFOPTS += --with-systemd --with-udev --with-audit
+	CONFOPTS += --without-systemd --with-udev --with-audit
 	CONFOPTS += --enable-newgrp --enable-login --enable-nologin
 endif
 
@@ -64,12 +64,6 @@
 
 # hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES))-$(DEB_HOST_ARCH_OS),-linux)
-export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
-else
-export deb_systemdsystemunitdir = debhelper needs this variable even when it doesn't need it
-endif
 
 %:
 	dh $@
@@ -170,10 +164,16 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_installsystemd:
-	dh_installsystemd -putil-linux fstrim.timer
-	dh_installsystemd -putil-linux fstrim.service
-	dh_installsystemd --remaining-packages
+	#dh_installsystemd -putil-linux fstrim.timer
+	#dh_installsystemd -putil-linux fstrim.service
+	#dh_installsystemd --remaining-packages
 endif
+
+#override_dh_shlibdeps:
+#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
 
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
